---
document: modulemd
version: 2
data:
  name: perl-YAML
  stream: 1.24
  version: 8050020211111222949
  context: 34b97b7f
  summary: Perl parser for YAML
  description: >
    The YAML.pm module implements a YAML Loader and Dumper based on the YAML 1.0 specification.
    YAML is a generic data serialization language that is optimized for human readability.
    It can be used to express the data structures of most modern programming languages,
    including Perl. For information on the YAML syntax, please refer to the YAML specification.
  license:
    module:
    - MIT
  xmd:
    mbs:
      buildrequires:
        perl:
          context: 466ea64f
          filtered_rpms: []
          koji_tag: module-perl-5.30-8040020210520205339-466ea64f
          ref: 847f4361ad3e1869bac10b7dc0b9239688407eb2
          stream: 5.30
          version: 8040020210520205339
        perl-YAML-bootstrap:
          context: 2fbcbb20
          filtered_rpms: []
          koji_tag: module-perl-YAML-bootstrap-1.24-8030020200723202447-2fbcbb20
          ref: 724f22bae6c0271c10c497fce48e26e578a22578
          stream: 1.24
          version: 8030020200723202447
        platform:
          context: 00000000
          filtered_rpms: []
          koji_tag: module-centos-8.5.0-build
          ref: virtual
          stream: el8.5.0
          stream_collision_modules: 
          ursine_rpms: 
          version: 2
      commit: a2baaf4453a23afccf4e286e29e180d6524b16d1
      mse: TRUE
      rpms:
        perl-YAML:
          ref: 6a8914c747b801cd00b59b363501f03df18e2ade
      scmurl: git+https://git.centos.org/modules/perl-YAML.git?#a2baaf4453a23afccf4e286e29e180d6524b16d1
      ursine_rpms:
      - perl-File-Path-0:2.15-2.el8.noarch
      - perl-version-6:0.99.24-1.el8.i686
      - perl-Pod-Simple-1:3.35-395.el8.noarch
      - perl-ExtUtils-MakeMaker-1:7.34-1.el8.noarch
      - perl-MIME-Base64-0:3.15-396.el8.i686
      - perl-Compress-Raw-Zlib-0:2.081-1.el8.ppc64le
      - perl-devel-4:5.26.3-420.el8.x86_64
      - perl-Compress-Bzip2-0:2.26-6.el8.aarch64
      - perl-Archive-Tar-0:2.30-1.el8.noarch
      - perl-Errno-0:1.28-420.el8.aarch64
      - perl-Time-HiRes-4:1.9758-2.el8.ppc64le
      - perl-macros-4:5.26.3-420.el8.x86_64
      - perl-autodie-0:2.29-396.el8.noarch
      - perl-Pod-Escapes-1:1.07-395.el8.noarch
      - perl-macros-4:5.26.3-420.el8.aarch64
      - perl-Devel-PPPort-0:3.36-5.el8.i686
      - perl-devel-4:5.26.3-420.el8.aarch64
      - perl-Digest-MD5-0:2.55-396.el8.aarch64
      - perl-Math-BigInt-1:1.9998.11-7.el8.noarch
      - perl-bignum-0:0.49-2.el8.noarch
      - perl-Encode-4:2.97-3.el8.i686
      - perl-Unicode-Collate-0:1.25-2.el8.i686
      - perl-devel-4:5.26.3-420.el8.ppc64le
      - perl-Digest-0:1.17-395.el8.noarch
      - perl-Data-OptList-0:0.110-6.el8.noarch
      - perl-MRO-Compat-0:0.13-4.el8.noarch
      - perl-IO-0:1.38-420.el8.i686
      - perl-Unicode-Normalize-0:1.25-396.el8.aarch64
      - perl-Filter-2:1.58-2.el8.x86_64
      - perl-4:5.26.3-420.el8.ppc64le
      - perl-Sys-Syslog-0:0.35-397.el8.ppc64le
      - perl-Unicode-Normalize-0:1.25-396.el8.i686
      - perl-generators-0:1.10-9.el8.noarch
      - perl-File-Fetch-0:0.56-2.el8.noarch
      - perl-libs-4:5.26.3-420.el8.i686
      - perl-version-6:0.99.24-1.el8.ppc64le
      - perl-open-0:1.11-420.el8.noarch
      - perl-IO-0:1.38-420.el8.ppc64le
      - perl-Digest-SHA-1:6.02-1.el8.aarch64
      - perl-ExtUtils-Install-0:2.14-4.el8.noarch
      - perl-Fedora-VSP-0:0.001-9.el8.noarch
      - perl-DB_File-0:1.842-1.el8.i686
      - perl-DB_File-0:1.842-1.el8.ppc64le
      - perl-threads-shared-0:1.58-2.el8.aarch64
      - perl-Term-ANSIColor-0:4.06-396.el8.noarch
      - perl-Algorithm-Diff-0:1.1903-9.el8.noarch
      - perl-CPAN-Meta-YAML-0:0.018-397.el8.noarch
      - perl-Compress-Bzip2-0:2.26-6.el8.ppc64le
      - perl-Encode-4:2.97-3.el8.ppc64le
      - perl-Test-Simple-1:1.302135-1.el8.noarch
      - perl-Pod-Checker-4:1.73-395.el8.noarch
      - perl-Unicode-Collate-0:1.25-2.el8.x86_64
      - perl-Scalar-List-Utils-3:1.49-2.el8.aarch64
      - perl-libs-4:5.26.3-420.el8.aarch64
      - perl-Perl-OSType-0:1.010-396.el8.noarch
      - perl-Digest-SHA-1:6.02-1.el8.x86_64
      - perl-CPAN-Meta-0:2.150010-396.el8.noarch
      - perl-devel-4:5.26.3-420.el8.i686
      - perl-Math-Complex-0:1.59-420.el8.noarch
      - perl-Errno-0:1.28-420.el8.x86_64
      - perl-Module-Load-Conditional-0:0.68-395.el8.noarch
      - perl-Digest-SHA-1:6.02-1.el8.i686
      - perl-Filter-2:1.58-2.el8.i686
      - perl-Time-Local-1:1.280-1.el8.noarch
      - perl-Errno-0:1.28-420.el8.i686
      - perl-MIME-Base64-0:3.15-396.el8.ppc64le
      - perl-Time-HiRes-4:1.9758-2.el8.i686
      - perl-tests-4:5.26.3-420.el8.i686
      - perl-Params-Util-0:1.07-22.el8.aarch64
      - perl-Time-HiRes-4:1.9758-2.el8.x86_64
      - perl-Devel-PPPort-0:3.36-5.el8.x86_64
      - perl-Package-Generator-0:1.106-11.el8.noarch
      - perl-Socket-4:2.027-3.el8.ppc64le
      - perl-Config-Perl-V-0:0.30-1.el8.noarch
      - perl-Storable-1:3.11-3.el8.aarch64
      - perl-PathTools-0:3.74-1.el8.ppc64le
      - perl-Test-Deep-0:1.127-4.el8.noarch
      - perl-Compress-Raw-Bzip2-0:2.081-1.el8.i686
      - perl-4:5.26.3-420.el8.aarch64
      - perl-threads-1:2.21-2.el8.i686
      - perl-Memoize-0:1.03-420.el8.noarch
      - perl-Pod-Perldoc-0:3.28-396.el8.noarch
      - perl-Storable-1:3.11-3.el8.ppc64le
      - perl-Unicode-Normalize-0:1.25-396.el8.x86_64
      - perl-File-HomeDir-0:1.002-4.el8.noarch
      - perl-libs-4:5.26.3-420.el8.x86_64
      - perl-IO-Socket-IP-0:0.39-5.el8.noarch
      - perl-Encode-devel-4:2.97-3.el8.ppc64le
      - perl-Importer-0:0.025-1.el8.noarch
      - perl-Compress-Raw-Zlib-0:2.081-1.el8.aarch64
      - perl-Storable-1:3.11-3.el8.x86_64
      - perl-Devel-SelfStubber-0:1.06-420.el8.noarch
      - perl-Module-CoreList-tools-1:5.20181130-1.el8.noarch
      - perl-PathTools-0:3.74-1.el8.i686
      - perl-Scalar-List-Utils-3:1.49-2.el8.ppc64le
      - perl-Storable-1:3.11-3.el8.i686
      - perl-Data-Dumper-0:2.167-399.el8.ppc64le
      - perl-Filter-2:1.58-2.el8.aarch64
      - perl-version-6:0.99.24-1.el8.aarch64
      - perl-Time-Piece-0:1.31-420.el8.x86_64
      - perl-podlators-0:4.11-1.el8.noarch
      - perl-Math-BigRat-0:0.2614-1.el8.noarch
      - perl-SelfLoader-0:1.23-420.el8.noarch
      - perl-homedir-0:2.000024-2.el8.noarch
      - perl-Unicode-Collate-0:1.25-2.el8.ppc64le
      - perl-Sys-Syslog-0:0.35-397.el8.x86_64
      - perl-Devel-PPPort-0:3.36-5.el8.aarch64
      - perl-Devel-Size-0:0.81-2.el8.x86_64
      - perl-threads-1:2.21-2.el8.aarch64
      - perl-version-6:0.99.24-1.el8.x86_64
      - perl-Socket-4:2.027-3.el8.aarch64
      - perl-Compress-Bzip2-0:2.26-6.el8.x86_64
      - perl-IPC-SysV-0:2.07-397.el8.ppc64le
      - perl-Unicode-Collate-0:1.25-2.el8.aarch64
      - perl-Devel-Size-0:0.81-2.el8.i686
      - perl-Errno-0:1.28-420.el8.ppc64le
      - perl-encoding-4:2.22-3.el8.aarch64
      - perl-Encode-devel-4:2.97-3.el8.i686
      - perl-IO-Zlib-1:1.10-420.el8.noarch
      - perl-Test-0:1.30-420.el8.noarch
      - perl-Math-BigInt-FastCalc-0:0.500.600-6.el8.x86_64
      - perl-Time-Piece-0:1.31-420.el8.aarch64
      - perl-Net-Ping-0:2.55-420.el8.noarch
      - perl-constant-0:1.33-396.el8.noarch
      - perl-JSON-PP-1:2.97.001-3.el8.noarch
      - perl-Digest-MD5-0:2.55-396.el8.x86_64
      - perl-Math-BigInt-FastCalc-0:0.500.600-6.el8.aarch64
      - perl-Sub-Exporter-0:0.987-15.el8.noarch
      - perl-Encode-devel-4:2.97-3.el8.aarch64
      - perl-tests-4:5.26.3-420.el8.aarch64
      - perl-Params-Check-1:0.38-395.el8.noarch
      - perl-Text-Balanced-0:2.03-395.el8.noarch
      - perl-Thread-Queue-0:3.13-1.el8.noarch
      - perl-File-Temp-0:0.230.600-1.el8.noarch
      - perl-Pod-Html-0:1.22.02-420.el8.noarch
      - perl-PathTools-0:3.74-1.el8.aarch64
      - perl-ExtUtils-Embed-0:1.34-420.el8.noarch
      - perl-encoding-4:2.22-3.el8.i686
      - perl-Devel-Peek-0:1.26-420.el8.aarch64
      - perl-Term-Table-0:0.012-2.el8.noarch
      - perl-Text-Template-0:1.51-1.el8.noarch
      - perl-Test-Harness-1:3.42-1.el8.noarch
      - perl-utils-0:5.26.3-420.el8.noarch
      - perl-interpreter-4:5.26.3-420.el8.ppc64le
      - perl-ExtUtils-CBuilder-1:0.280230-2.el8.noarch
      - perl-Sys-Syslog-0:0.35-397.el8.i686
      - perl-interpreter-4:5.26.3-420.el8.aarch64
      - perl-Getopt-Long-1:2.50-4.el8.noarch
      - perl-IPC-SysV-0:2.07-397.el8.aarch64
      - perl-4:5.26.3-420.el8.x86_64
      - perl-Data-Dumper-0:2.167-399.el8.i686
      - perl-Params-Util-0:1.07-22.el8.ppc64le
      - perl-URI-0:1.73-3.el8.noarch
      - perl-CPAN-Meta-Requirements-0:2.140-396.el8.noarch
      - perl-macros-4:5.26.3-420.el8.i686
      - perl-threads-1:2.21-2.el8.ppc64le
      - perl-threads-shared-0:1.58-2.el8.i686
      - perl-Sub-Install-0:0.928-14.el8.noarch
      - perl-Pod-Usage-4:1.69-395.el8.noarch
      - perl-threads-shared-0:1.58-2.el8.ppc64le
      - perl-Digest-MD5-0:2.55-396.el8.ppc64le
      - perl-Compress-Raw-Bzip2-0:2.081-1.el8.ppc64le
      - perl-Env-0:1.04-395.el8.noarch
      - perl-interpreter-4:5.26.3-420.el8.x86_64
      - perl-Scalar-List-Utils-3:1.49-2.el8.x86_64
      - perl-Carp-0:1.42-396.el8.noarch
      - perl-File-Which-0:1.22-2.el8.noarch
      - perl-PathTools-0:3.74-1.el8.x86_64
      - perl-libs-4:5.26.3-420.el8.ppc64le
      - perl-inc-latest-2:0.500-9.el8.noarch
      - perl-parent-1:0.237-1.el8.noarch
      - perl-Scalar-List-Utils-3:1.49-2.el8.i686
      - perl-ExtUtils-Manifest-0:1.70-395.el8.noarch
      - perl-Attribute-Handlers-0:0.99-420.el8.noarch
      - perl-Archive-Zip-0:1.60-3.el8.noarch
      - perl-Digest-MD5-0:2.55-396.el8.i686
      - perl-Compress-Raw-Zlib-0:2.081-1.el8.i686
      - perl-Socket-4:2.027-3.el8.x86_64
      - perl-Locale-Maketext-Simple-1:0.21-420.el8.noarch
      - perl-experimental-0:0.019-2.el8.noarch
      - perl-Digest-SHA-1:6.02-1.el8.ppc64le
      - perl-Module-CoreList-1:5.20181130-1.el8.noarch
      - perl-IO-0:1.38-420.el8.x86_64
      - perl-Encode-4:2.97-3.el8.x86_64
      - perl-tests-4:5.26.3-420.el8.x86_64
      - perl-ExtUtils-Miniperl-0:1.06-420.el8.noarch
      - perl-Module-Load-1:0.32-395.el8.noarch
      - perl-ExtUtils-MM-Utils-1:7.34-1.el8.noarch
      - perl-Module-Build-2:0.42.24-5.el8.noarch
      - perl-encoding-4:2.22-3.el8.ppc64le
      - perl-Devel-Peek-0:1.26-420.el8.ppc64le
      - perl-threads-shared-0:1.58-2.el8.x86_64
      - perl-Math-BigInt-FastCalc-0:0.500.600-6.el8.ppc64le
      - perl-Data-Section-0:0.200007-3.el8.noarch
      - perl-Time-Piece-0:1.31-420.el8.ppc64le
      - perl-Params-Util-0:1.07-22.el8.x86_64
      - perl-ExtUtils-Command-1:7.34-1.el8.noarch
      - perl-Devel-Size-0:0.81-2.el8.ppc64le
      - perl-tests-4:5.26.3-420.el8.ppc64le
      - perl-Pod-Parser-0:1.63-396.el8.noarch
      - perl-Compress-Raw-Bzip2-0:2.081-1.el8.aarch64
      - perl-Filter-2:1.58-2.el8.ppc64le
      - perl-Compress-Bzip2-0:2.26-6.el8.i686
      - perl-Text-Glob-0:0.11-4.el8.noarch
      - perl-Locale-Maketext-0:1.28-396.el8.noarch
      - perl-Devel-Size-0:0.81-2.el8.aarch64
      - perl-Math-BigInt-FastCalc-0:0.500.600-6.el8.i686
      - perl-libnet-0:3.11-3.el8.noarch
      - perl-Software-License-0:0.103013-2.el8.noarch
      - perl-DB_File-0:1.842-1.el8.aarch64
      - perl-Module-Loaded-1:0.08-420.el8.noarch
      - perl-Compress-Raw-Zlib-0:2.081-1.el8.x86_64
      - perl-Text-ParseWords-0:3.30-395.el8.noarch
      - perl-Exporter-0:5.72-396.el8.noarch
      - perl-Compress-Raw-Bzip2-0:2.081-1.el8.x86_64
      - perl-Text-Diff-0:1.45-2.el8.noarch
      - perl-PerlIO-via-QuotedPrint-0:0.08-395.el8.noarch
      - perl-4:5.26.3-420.el8.i686
      - perl-Sys-Syslog-0:0.35-397.el8.aarch64
      - perl-MIME-Base64-0:3.15-396.el8.aarch64
      - perl-IO-0:1.38-420.el8.aarch64
      - perl-Module-Metadata-0:1.000033-395.el8.noarch
      - perl-Devel-PPPort-0:3.36-5.el8.ppc64le
      - perl-IPC-System-Simple-0:1.25-17.el8.noarch
      - perl-ExtUtils-ParseXS-1:3.35-2.el8.noarch
      - perl-IPC-SysV-0:2.07-397.el8.i686
      - perl-DB_File-0:1.842-1.el8.x86_64
      - perl-Data-Dumper-0:2.167-399.el8.x86_64
      - perl-Filter-Simple-0:0.94-2.el8.noarch
      - perl-HTTP-Tiny-0:0.074-1.el8.noarch
      - perl-Term-Cap-0:1.17-395.el8.noarch
      - perl-interpreter-4:5.26.3-420.el8.i686
      - perl-IO-Compress-0:2.081-1.el8.noarch
      - perl-Time-HiRes-4:1.9758-2.el8.aarch64
      - perl-Text-Tabs+Wrap-0:2013.0523-395.el8.noarch
      - perl-Devel-Peek-0:1.26-420.el8.i686
      - perl-Socket-4:2.027-3.el8.i686
      - perl-MIME-Base64-0:3.15-396.el8.x86_64
      - perl-Devel-Peek-0:1.26-420.el8.x86_64
      - perl-Params-Util-0:1.07-22.el8.i686
      - perl-Encode-devel-4:2.97-3.el8.x86_64
      - perl-IPC-Cmd-2:1.02-1.el8.noarch
      - perl-Unicode-Normalize-0:1.25-396.el8.ppc64le
      - perl-CPAN-0:2.18-397.el8.noarch
      - perl-libnetcfg-4:5.26.3-420.el8.noarch
      - perl-perlfaq-0:5.20180605-1.el8.noarch
      - perl-macros-4:5.26.3-420.el8.ppc64le
      - perl-Data-Dumper-0:2.167-399.el8.aarch64
      - perl-Encode-4:2.97-3.el8.aarch64
      - perl-local-lib-0:2.000024-2.el8.noarch
      - perl-IPC-SysV-0:2.07-397.el8.x86_64
      - perl-encoding-4:2.22-3.el8.x86_64
      - perl-Time-Piece-0:1.31-420.el8.i686
      - perl-threads-1:2.21-2.el8.x86_64
  dependencies:
  - buildrequires:
      perl: [5.30]
      perl-YAML-bootstrap: [1.24]
      platform: [el8.5.0]
    requires:
      perl: [5.30]
      platform: [el8]
  references:
    community: https://metacpan.org/release/YAML
  profiles:
    common:
      description: YAML distribution
      rpms:
      - perl-YAML
  api:
    rpms:
    - perl-YAML
  buildopts:
    rpms:
      macros: >
        %_with_perl_YAML_enables_test 1
  components:
    rpms:
      perl-YAML:
        rationale: The API.
        repository: git+https://git.centos.org/rpms/perl-YAML
        cache: https://git.centos.org/repo/pkgs/perl-YAML
        ref: 6a8914c747b801cd00b59b363501f03df18e2ade
        arches: [aarch64, i686, ppc64le, x86_64]
...
